services:
  first:
    build: ./FirstApplication/
    volumes:
      - ./volumes/input:/var/data
      - buffer:/var/result
    environment:
      INPUT_PATH: "/var/data"
      OUTPUT_PATH: "/var/result"
  
  second:
    build: ./SecondApplication/
    depends_on:
      - first
    volumes:
      - buffer:/var/data
      - ./volumes/output:/var/result
    environment:
      INPUT_PATH: "/var/data"
      OUTPUT_PATH: "/var/result"
volumes:
  buffer: